import { Router } from "express";
import isAuth from "../middleware/isAuth";

import * as SchedulingNotifyController from "../controllers/SchedulingNotifyController";

const schedulingNotifiyRoutes = Router(); 

schedulingNotifiyRoutes.delete("/schedule/:scheduleId", isAuth, SchedulingNotifyController.remove);

schedulingNotifiyRoutes.post("/schedule", isAuth, SchedulingNotifyController.createOrUpdateScheduleNotify);

schedulingNotifiyRoutes.get("/schedules", isAuth, SchedulingNotifyController.reportScheduleNotifyByDateStartDateEnd);

export default schedulingNotifiyRoutes;
